%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?pyver: %define pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

Name:           python-clientform
Version:        0.2.10
Release:        5%{?dist}
Summary:        Python module for client-side HTML forms

Group:          Development/Languages
License:        BSD
URL:            http://wwwsearch.sourceforge.net/ClientForm/
Source0:        http://wwwsearch.sourceforge.net/ClientForm/src/ClientForm-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
%if 0%{?fedora} >= 8
BuildRequires: python-setuptools-devel
%else
BuildRequires: python-setuptools
%endif


%description
ClientForm is a Python module for handling HTML forms on the client side,
useful for parsing HTML forms, filling them in and returning the completed
forms to the server.  It developed from a port of Gisle Aas' Perl module
HTML::Form, from the libwww-perl library, but the interface is not the same.

%prep
%setup -q -n ClientForm-%{version}


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --single-version-externally-managed -O1 \
                             --skip-build --root $RPM_BUILD_ROOT

%check
%{__python} test.py


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING.txt GeneralFAQ.html README.html examples
%{python_sitelib}/ClientForm.py
%{python_sitelib}/ClientForm.pyc
%{python_sitelib}/ClientForm.pyo
%{python_sitelib}/ClientForm-%{version}-py%{pyver}.egg-info

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Sep 30 2010 Luke Macken <lmacken@redhat.com> - 0.2.10-1
- Update to 0.2.10
- Run the test suite

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.2.7-7
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 20 2009 Luke Macken <lmacken@redhat.com> - 0.2.7-5
- Remove duplicate README html file (#480678)
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.2.7-3
- Rebuild for Python 2.6

* Sun Sep  2 2007 Luke Macken <lmacken@redhat.com> 0.2.7-2
- Update for python-setuptools changes in rawhide

* Sat Aug 18 2007 Luke Macken <lmacken@redhat.com> 0.2.7-1
- 0.2.7

* Sat Mar  3 2007 Luke Macken <lmacken@redhat.com> 0.2.6-1
- 0.2.6

* Sat Dec  9 2006 Luke Macken <lmacken@redhat.com> 0.2.5-2
- Rebuild for python 2.5
- 0.2.5

* Sun Sep  3 2006 Luke Macken <lmacken@redhat.com> 0.2.2-6
- Rebuild for FC6

* Mon Aug 14 2006 Luke Macken <lmacken@redhat.com> 0.2.2-5
- Include .pyo files instead of ghosting them

* Thu May 11 2006 Luke Macken <lmacken@redhat.com> 0.2.2-4
- Install with --single-version-externally-managed flag
- Add a few more docs

* Thu May 11 2006 Luke Macken <lmacken@redhat.com> 0.2.2-3
- Add python-setuptools to BuildRequires

* Thu May 11 2006 Luke Macken <lmacken@redhat.com> 0.2.2-2
- Fix version in Source0

* Thu May 11 2006 Luke Macken <lmacken@redhat.com> 0.2.2-1
- Bump to 0.2.2

* Tue Feb 14 2006 Josh Boyer <jwboyer@jdub.homelinux.org> 0.1.17-4
- Bump for FE5 rebuild

* Sun Oct 30 2005 Josh Boyer <jwboyer@jdub.homelinux.org> 0.1.17-3
- Fix up review comments

* Thu Oct 6 2005 Josh Boyer <jwboyer@jdub.homelinux.org> 0.1.17-2
- Rename package to add python- prefix

* Wed Oct 5 2005 Josh Boyer <jwboyer@jdub.homelinux.org> 0.1.17-1
- Initial spec file
